[blfs-book] r11599 - trunk/BOOK/general/prog

krejzi at higgs.linuxfromscratch.org krejzi at higgs.linuxfromscratch.org
Thu Aug 8 15:57:44 PDT 2013


Author: krejzi
Date: Thu Aug  8 15:57:44 2013
New Revision: 11599

Log:
split python modules into seperate xml files

Added:
   trunk/BOOK/general/prog/dbus-python.xml
   trunk/BOOK/general/prog/notify-python.xml
   trunk/BOOK/general/prog/py2cairo.xml
   trunk/BOOK/general/prog/pyatspi2.xml
   trunk/BOOK/general/prog/pycairo.xml
   trunk/BOOK/general/prog/pygobject2.xml
   trunk/BOOK/general/prog/pygobject3.xml
   trunk/BOOK/general/prog/pygtk.xml
   trunk/BOOK/general/prog/pyrex.xml
   trunk/BOOK/general/prog/pyxdg.xml
Modified:
   trunk/BOOK/general/prog/python-modules.xml

Added: trunk/BOOK/general/prog/dbus-python.xml
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ trunk/BOOK/general/prog/dbus-python.xml	Thu Aug  8 15:57:44 2013	(r11599)
@@ -0,0 +1,180 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY dbus-python-download-http "http://dbus.freedesktop.org/releases/dbus-python/dbus-python-&dbus-python-version;.tar.gz">
+  <!ENTITY dbus-python-download-ftp  " ">
+  <!ENTITY dbus-python-md5sum        "b09cd2d1a057cc432ce944de3fc06bf7">
+  <!ENTITY dbus-python-size          "592 KB">
+  <!ENTITY dbus-python-buildsize     "11 MB">
+  <!ENTITY dbus-python-time          "0.3 SBU">
+]>
+  <!-- Begin D-Bus Python -->
+  <sect2 id="dbus-python" xreflabel="D-Bus Python-&dbus-python-version;">
+    <title>D-Bus Python</title>
+
+    <indexterm zone="dbus-python">
+      <primary sortas="a-dbus-python">dbus-python</primary>
+    </indexterm>
+
+    <sect3 role="package">
+      <title>Introduction to D-Bus Python Module</title>
+
+      <para>
+        <application>D-Bus Python</application> provides
+        <application>Python</application> bindings to the
+        <application>D-Bus</application>.
+      </para>
+
+      &lfs73_checked;
+
+      <bridgehead renderas="sect4">Package Information</bridgehead>
+      <itemizedlist spacing="compact">
+        <listitem>
+          <para>
+            Download (HTTP): <ulink url="&dbus-python-download-http;"/>
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Download (FTP): <ulink url="&dbus-python-download-ftp;"/>
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Download MD5 sum: &dbus-python-md5sum;
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Download size: &dbus-python-size;
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Estimated disk space required: &dbus-python-buildsize;
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Estimated build time: &dbus-python-time;
+          </para>
+        </listitem>
+      </itemizedlist>
+
+      <bridgehead renderas="sect4">D-Bus Python Dependencies</bridgehead>
+
+      <bridgehead renderas="sect5">Required</bridgehead>
+      <para role="required">
+        <xref linkend="dbus-glib"/> and
+        <xref linkend="python2"/> and/or
+        <xref linkend="python3"/>
+      </para>
+
+      <bridgehead renderas="sect5">
+       Optional (Required to build the API and HTML Documentation)
+      </bridgehead>
+      <para role="optional">
+        <ulink url="http://epydoc.sourceforge.net/">Epydoc</ulink> and
+        <ulink url="http://docutils.sourceforge.net/">Docutils</ulink>
+      </para>
+
+      <para condition="html" role="usernotes">User Notes:
+        <ulink url="&blfs-wiki;/dbus-python"/>
+      </para>
+    </sect3>
+
+    <sect3 role="installation">
+      <title>Installation of D-Bus Python</title>
+
+      <note>
+        <para>
+          Both <application>Python 2</application> and
+          <application>Python 3</application> modules can
+          be built and installed without any conflicts.
+        </para>
+      </note>
+
+      <para>
+        To build <application>D-Bus Python</application> as the
+        <application>Python 2</application> module, run the
+        following commands:
+      </para>
+
+<screen><userinput>mkdir python2 &&
+pushd python2 &&
+PYTHON=/usr/bin/python     \
+../configure --prefix=/usr \
+             --docdir=/usr/share/doc/dbus-python-&dbus-python-version; &&
+make &&
+popd</userinput></screen>
+
+      <para>
+        To test the results, issue: <command>make -C python2 check</command>.
+      </para>
+
+      <para>
+        To build <application>D-Bus Python</application> as the
+        <application>Python 3</application> module, run the
+        following commands:
+      </para>
+
+<screen><userinput>mkdir python3 &&
+pushd python3 &&
+PYTHON=/usr/bin/python3    \
+../configure --prefix=/usr \
+             --docdir=/usr/share/doc/dbus-python-&dbus-python-version; &&
+make &&
+popd</userinput></screen>
+
+      <para>
+        To test the results, issue: <command>make -C python3 check</command>.
+      </para>
+
+      <para>
+        To install the <application>Python 2</application> module,
+        run the following command as the
+        <systemitem class="username">root</systemitem> user:
+      </para>
+
+<screen role="root"><userinput>make -C python2 install</userinput></screen>
+
+      <para>
+        To install the <application>Python 3</application> module,
+        run the following command as the
+        <systemitem class="username">root</systemitem> user:
+      </para>
+
+<screen role="root"><userinput>make -C python3 install</userinput></screen>
+
+    </sect3>
+
+    <sect3 role="content">
+      <title>Contents</title>
+
+      <segmentedlist>
+        <segtitle>Installed Programs</segtitle>
+        <segtitle>Installed Libraries</segtitle>
+        <segtitle>Installed Directories</segtitle>
+
+        <seglistitem>
+          <seg>
+            None
+          </seg>
+          <seg>
+            None
+          </seg>
+          <seg>
+            /usr/share/doc/dbus-python-&dbus-python-version; and
+            /usr/lib/python&python2-majorver;/site-packages/dbus and/or
+            /usr/lib/python&python3-majorver;/site-packages/dbus
+          </seg>
+        </seglistitem>
+      </segmentedlist>
+
+    </sect3>
+
+  </sect2>
+  <!-- End D-Bus Python -->
\ No newline at end of file

Added: trunk/BOOK/general/prog/notify-python.xml
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ trunk/BOOK/general/prog/notify-python.xml	Thu Aug  8 15:57:44 2013	(r11599)
@@ -0,0 +1,137 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY notify-python-download-http
+           "http://www.galago-project.org/files/releases/source/notify-python/notify-python-&notify-python-version;.tar.bz2">
+  <!ENTITY notify-python-download-ftp  " ">
+  <!ENTITY notify-python-md5sum        "d247cf79b46cef7495deb0a76334f81d">
+  <!ENTITY notify-python-size          "212 KB">
+  <!ENTITY notify-python-buildsize     "2.3 MB">
+  <!ENTITY notify-python-time          "less than 0.1 SBU">
+]>
+
+  <!-- Begin Notify Python -->
+  <sect2 id="notify-python" xreflabel="Notify Python-&notify-python-version;">
+
+    <title>Notify Python-&notify-python-version;</title>
+
+    <indexterm zone="notify-python">
+      <primary sortas="a-notify-python">notify-python</primary>
+    </indexterm>
+
+    <sect3 role="package">
+      <title>Introduction to Notify Python Module</title>
+
+      <para>
+        Notify Python provides <application>Python 2</application>
+        bindings to the <application>libnotify</application>.
+      </para>
+
+      &lfs73_checked;
+
+      <bridgehead renderas="sect4">Package Information</bridgehead>
+      <itemizedlist spacing="compact">
+        <listitem>
+          <para>
+            Download (HTTP): <ulink url="&notify-python-download-http;"/>
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Download (FTP): <ulink url="&notify-python-download-ftp;"/>
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Download MD5 sum: &notify-python-md5sum;
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Download size: &notify-python-size;
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Estimated disk space required: &notify-python-buildsize;
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Estimated build time: &notify-python-time;
+          </para>
+        </listitem>
+      </itemizedlist>
+
+    <bridgehead renderas="sect3">Additional Downloads</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Required patch:
+          <ulink url="&patch-root;/notify-python-&notify-python-version;-libnotify-0.7-1.patch"/>
+        </para>
+      </listitem>
+    </itemizedlist>
+
+      <bridgehead renderas="sect4">Notify Python Dependencies</bridgehead>
+
+      <bridgehead renderas="sect5">Required</bridgehead>
+      <para role="required">
+        <xref linkend="libnotify"/> and
+        <xref linkend="pygtk"/> (with <xref linkend="gtk2"/> support).
+      </para>
+
+      <para condition="html" role="usernotes">
+        User Notes: <ulink url="&blfs-wiki;/notify-python"/>
+      </para>
+    </sect3>
+
+    <sect3 role="installation">
+      <title>Installation of Notify Python</title>
+
+      <para>
+        Install <application>Notify Python</application> by running the following
+        commands:
+      </para>
+
+<screen><userinput>patch -Np1 -i ../notify-python-&notify-python-version;-libnotify-0.7-1.patch &&
+./configure --prefix=/usr &&
+make</userinput></screen>
+
+      <para>
+        This package does not come with a testsuite.
+      </para>
+
+      <para>
+        Now, as the <systemitem class="username">root</systemitem> user:
+      </para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+    </sect3>
+
+    <sect3 role="content">
+      <title>Contents</title>
+
+      <segmentedlist>
+        <segtitle>Installed Programs</segtitle>
+        <segtitle>Installed Libraries</segtitle>
+        <segtitle>Installed Directory</segtitle>
+
+        <seglistitem>
+          <seg>
+            None
+          </seg>
+          <seg>
+            None
+          </seg>
+          <seg>
+            /usr/lib/python&python2-majorver;/site-packages/gtk-2.0/pynotify
+          </seg>
+        </seglistitem>
+      </segmentedlist>
+    </sect3>
+  </sect2>
+  <!-- End Notify Python -->
\ No newline at end of file

Added: trunk/BOOK/general/prog/py2cairo.xml
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ trunk/BOOK/general/prog/py2cairo.xml	Thu Aug  8 15:57:44 2013	(r11599)
@@ -0,0 +1,139 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY py2cairo-download-http
+           "http://cairographics.org/releases/py2cairo-&py2cairo-version;.tar.bz2">
+  <!ENTITY py2cairo-download-ftp  " ">
+  <!ENTITY py2cairo-md5sum        "20337132c4ab06c1146ad384d55372c5">
+  <!ENTITY py2cairo-size          "400 KB">
+  <!ENTITY py2cairo-buildsize     "3.6 MB">
+  <!ENTITY py2cairo-time          "less than 0.1 SBU">
+]>
+
+  <!-- Begin Py2cairo -->
+  <sect2 id="py2cairo" xreflabel="Py2cairo-&py2cairo-version;">
+
+    <title>Py2cairo-&py2cairo-version;</title>
+
+    <indexterm zone="py2cairo">
+      <primary sortas="a-Py2cairo">Py2cairo</primary>
+    </indexterm>
+
+    <sect3 role="package">
+      <title>Introduction to Py2cairo Module</title>
+
+      <para>
+        Py2cairo provides <application>Python 2</application> bindings to
+        <application>Cairo</application>.
+      </para>
+
+      &lfs73_checked;
+
+      <bridgehead renderas="sect4">Package Information</bridgehead>
+      <itemizedlist spacing="compact">
+        <listitem>
+          <para>
+            Download (HTTP): <ulink url="&py2cairo-download-http;"/>
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Download (FTP): <ulink url="&py2cairo-download-ftp;"/>
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Download MD5 sum: &py2cairo-md5sum;
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Download size: &py2cairo-size;
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Estimated disk space required: &py2cairo-buildsize;
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Estimated build time: &py2cairo-time;
+          </para>
+        </listitem>
+      </itemizedlist>
+
+      <bridgehead renderas="sect4">Py2cairo Dependencies</bridgehead>
+
+      <bridgehead renderas="sect5">Required</bridgehead>
+      <para role="required">
+        <xref linkend="python2"/> and
+        <xref linkend="cairo"/>
+      </para>
+
+      <bridgehead renderas="sect5">Optional</bridgehead>
+      <para role="optional">
+        <ulink url="http://pytest.org">pytest</ulink>
+      </para>
+
+      <para condition="html" role="usernotes">
+        User Notes: <ulink url="&blfs-wiki;/py2cairo"/>
+      </para>
+    </sect3>
+
+    <sect3 role="installation">
+      <title>Installation of Py2cairo</title>
+
+      <para>
+        Install <application>Py2cairo</application> by running the following
+        commands:
+      </para>
+
+<screen><userinput>./waf configure --prefix=/usr &&
+./waf build</userinput></screen>
+
+      <para>
+        The test suite must be run after the package is installed.
+      </para>
+
+      <para>
+        Now, as the <systemitem class="username">root</systemitem> user:
+      </para>
+
+<screen role="root"><userinput>./waf install</userinput></screen>
+
+      <para>
+        The test suite requires the optional <application>pytest</application>
+        package. If installed, it is run by changing to the
+        <filename class='directory'>test</filename> directory and running
+        <userinput>py.test</userinput> an an unprivileged user.
+      </para>
+    </sect3>
+
+    <sect3 role="content">
+      <title>Contents</title>
+
+      <segmentedlist>
+        <segtitle>Installed Programs</segtitle>
+        <segtitle>Installed Library</segtitle>
+        <segtitle>Installed Directory</segtitle>
+
+        <seglistitem>
+          <seg>
+            None
+          </seg>
+          <seg>
+            _cairo.so
+          </seg>
+          <seg>
+            /usr/include/pycairo and
+            /usr/lib/python&python2-majorver;/site-packages/cairo
+          </seg>
+        </seglistitem>
+      </segmentedlist>
+    </sect3>
+  </sect2>
+  <!-- End Py2cairo -->
\ No newline at end of file

Added: trunk/BOOK/general/prog/pyatspi2.xml
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ trunk/BOOK/general/prog/pyatspi2.xml	Thu Aug  8 15:57:44 2013	(r11599)
@@ -0,0 +1,172 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY pyatspi2-download-http
+           "&gnome-download-http;/pyatspi/2.8/pyatspi-&pyatspi2-version;.tar.xz">
+  <!ENTITY pyatspi2-download-ftp
+           "&gnome-download-ftp;/pyatspi/2.8/pyatspi-&pyatspi2-version;.tar.xz">
+  <!ENTITY pyatspi2-md5sum        "930f51c62cca60ebdf90f735d26385b2">
+  <!ENTITY pyatspi2-size          "284 KB">
+  <!ENTITY pyatspi2-buildsize     "5.0 MB">
+  <!ENTITY pyatspi2-time          "less than 0.1 SBU">
+]>
+
+   <!-- Begin PyAtSpi2 -->
+  <sect2 id="pyatspi2" xreflabel="PyAtSpi2-&pyatspi2-version;">
+
+    <title>PyAtSpi2-&pyatspi2-version;</title>
+
+    <indexterm zone="pyatspi2">
+      <primary sortas="a-PyAtSpi2">PyAtSpi2</primary>
+    </indexterm>
+
+    <sect3 role="package">
+      <title>Introduction to PyAtSpi2</title>
+
+      <para>
+        The <application>PyAtSpi2</application> package contains
+        <application>Python</application> bindings for the core
+        components of the <application>GNOME</application>
+        Accessibility.
+      </para>
+
+      &lfs73_checked;
+
+      <bridgehead renderas="sect4">Package Information</bridgehead>
+      <itemizedlist spacing="compact">
+        <listitem>
+          <para>
+            Download (HTTP): <ulink url="&pyatspi2-download-http;"/>
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Download (FTP): <ulink url="&pyatspi2-download-ftp;"/>
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Download MD5 sum: &pyatspi2-md5sum;
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Download size: &pyatspi2-size;
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Estimated disk space required: &pyatspi2-buildsize;
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Estimated build time: &pyatspi2-time;
+          </para>
+        </listitem>
+      </itemizedlist>
+
+      <bridgehead renderas="sect4">PyAtSpi2 Dependencies</bridgehead>
+
+      <bridgehead renderas="sect5">Required</bridgehead>
+      <para role="required">
+        <xref linkend="pygobject3"/>
+      </para>
+
+      <bridgehead renderas="sect5">Recommended</bridgehead>
+      <para role="recommended">
+        <xref linkend="at-spi2-core"/>
+      </para>
+
+      <para condition="html" role="usernotes">
+        User Notes: <ulink url="&blfs-wiki;/pyatspi2"/>
+      </para>
+
+    </sect3>
+
+    <sect3 role="installation">
+      <title>Installation of PyAtSpi2</title>
+
+      <note>
+        <para>
+          Both <application>Python 2</application> and
+          <application>Python 3</application> modules can
+          be built and installed without any conflicts.
+        </para>
+      </note>
+
+      <para>
+        To build <application>PyAtSpi2</application> as the
+        <application>Python 2</application> module, run the
+        following commands:
+      </para>
+
+<screen><userinput>mkdir python2 &&
+pushd python2 &&
+../configure --prefix=/usr --with-python=/usr/bin/python &&
+make &&
+popd</userinput></screen>
+
+      <para>
+        To build <application>PyAtSpi2</application> as the
+        <application>Python 3</application> module, run the
+        following commands:
+      </para>
+
+<screen><userinput>mkdir python3 &&
+pushd python3 &&
+../configure --prefix=/usr --with-python=/usr/bin/python3 &&
+make &&
+popd</userinput></screen>
+
+      <para>
+        This package does not come with a testsuite.
+      </para>
+
+      <para>
+        To install the <application>Python 2</application> module,
+        run the following command as the
+        <systemitem class="username">root</systemitem> user:
+      </para>
+
+<screen role="root"><userinput>make -C python2 install</userinput></screen>
+
+      <para>
+        To install the <application>Python 3</application> module,
+        run the following command as the
+        <systemitem class="username">root</systemitem> user:
+      </para>
+
+<screen role="root"><userinput>make -C python3 install</userinput></screen>
+
+    </sect3>
+
+    <sect3 role="content">
+      <title>Contents</title>
+
+      <segmentedlist>
+        <segtitle>Installed Programs</segtitle>
+        <segtitle>Installed Libraries</segtitle>
+        <segtitle>Installed Directory</segtitle>
+
+        <seglistitem>
+          <seg>
+            None
+          </seg>
+          <seg>
+            None
+          </seg>
+          <seg>
+            /usr/lib/python&python2-majorver;/site-packages/pyatspi and/or
+            /usr/lib/python&python3-majorver;/site-packages/pyatspi
+          </seg>
+        </seglistitem>
+      </segmentedlist>
+
+    </sect3>
+
+  </sect2>
+  <!-- End PyAtSpi2 -->
\ No newline at end of file

Added: trunk/BOOK/general/prog/pycairo.xml
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ trunk/BOOK/general/prog/pycairo.xml	Thu Aug  8 15:57:44 2013	(r11599)
@@ -0,0 +1,128 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY pycairo-download-http
+           "http://cairographics.org/releases/pycairo-&pycairo-version;.tar.bz2">
+  <!ENTITY pycairo-download-ftp  " ">
+  <!ENTITY pycairo-md5sum        "e6fd3f2f1e6a72e0db0868c4985669c5">
+  <!ENTITY pycairo-size          "244 KB">
+  <!ENTITY pycairo-buildsize     "3.0 MB">
+  <!ENTITY pycairo-time          "less than 0.1 SBU">
+]>
+
+  <!-- Begin PyCairo -->
+  <sect2 id="pycairo" xreflabel="PyCairo-&pycairo-version;">
+
+    <title>PyCairo-&pycairo-version;</title>
+
+    <indexterm zone="pycairo">
+      <primary sortas="a-PyCairo">PyCairo</primary>
+    </indexterm>
+
+    <sect3 role="package">
+      <title>Introduction to PyCairo Module</title>
+
+      <para>
+        PyCairo provides <application>Python 3</application> bindings to
+        <application>Cairo</application>.
+      </para>
+
+      &lfs73_checked;
+
+      <bridgehead renderas="sect4">Package Information</bridgehead>
+      <itemizedlist spacing="compact">
+        <listitem>
+          <para>
+            Download (HTTP): <ulink url="&pycairo-download-http;"/>
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Download (FTP): <ulink url="&pycairo-download-ftp;"/>
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Download MD5 sum: &pycairo-md5sum;
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Download size: &pycairo-size;
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Estimated disk space required: &pycairo-buildsize;
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Estimated build time: &pycairo-time;
+          </para>
+        </listitem>
+      </itemizedlist>
+
+      <bridgehead renderas="sect4">PyCairo Dependencies</bridgehead>
+
+      <bridgehead renderas="sect5">Required</bridgehead>
+      <para role="required">
+        <xref linkend="cairo"/> and
+        <xref linkend="python3"/>
+      </para>
+
+      <para condition="html" role="usernotes">
+        User Notes: <ulink url="&blfs-wiki;/pycairo"/>
+      </para>
+    </sect3>
+
+    <sect3 role="installation">
+      <title>Installation of PyCairo</title>
+
+      <para>
+        Install <application>PyCairo</application> by running the following
+        commands:
+      </para>
+
+<screen><userinput>PYTHON=/usr/bin/python3 ./waf configure --prefix=/usr &&
+./waf build</userinput></screen>
+
+      <para>
+        This package does not come with a test suite.
+      </para>
+
+      <para>
+        Now, as the <systemitem class="username">root</systemitem> user:
+      </para>
+
+<screen role="root"><userinput>./waf install</userinput></screen>
+
+    </sect3>
+
+    <sect3 role="content">
+      <title>Contents</title>
+
+      <segmentedlist>
+        <segtitle>Installed Programs</segtitle>
+        <segtitle>Installed Library</segtitle>
+        <segtitle>Installed Directory</segtitle>
+
+        <seglistitem>
+          <seg>
+            None
+          </seg>
+          <seg>
+            None
+          </seg>
+          <seg>
+            /usr/include/pycairo and
+            /usr/lib/python&python3-majorver;/site-packages/cairo
+          </seg>
+        </seglistitem>
+      </segmentedlist>
+    </sect3>
+  </sect2>
+  <!-- End PyCairo -->
\ No newline at end of file

Added: trunk/BOOK/general/prog/pygobject2.xml
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ trunk/BOOK/general/prog/pygobject2.xml	Thu Aug  8 15:57:44 2013	(r11599)
@@ -0,0 +1,173 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY pygobject2-download-http
+           "&gnome-download-http;/pygobject/2.28/pygobject-&pygobject2-version;.tar.xz">
+  <!ENTITY pygobject2-download-ftp
+           "&gnome-download-ftp;/pygobject/2.28/pygobject-&pygobject2-version;.tar.xz">
+  <!ENTITY pygobject2-md5sum        "9415cb7f2b3a847f2310ccea258b101e">
+  <!ENTITY pygobject2-size          "730 KB">
+  <!ENTITY pygobject2-buildsize     "25 MB">
+  <!ENTITY pygobject2-time          "0.2 SBU">
+]>
+
+
+   <!-- Begin PyGObject2 -->
+  <sect2 id="pygobject2" xreflabel="PyGObject-&pygobject2-version;">
+
+    <title>PyGObject-&pygobject2-version;</title>
+
+    <indexterm zone="pygobject2">
+      <primary sortas="a-PyGObject">PyGObject</primary>
+    </indexterm>
+
+    <sect3 role="package">
+      <title>Introduction to PyGObject Module</title>
+
+      <para>
+        PyGObject-&pygobject2-version; provides
+        <application>Python 2</application> bindings to the GObject class from
+        <application>GLib</application>.
+      </para>
+
+      &lfs73_checked;
+
+      <bridgehead renderas="sect4">Package Information</bridgehead>
+      <itemizedlist spacing="compact">
+        <listitem>
+          <para>
+            Download (HTTP): <ulink url="&pygobject2-download-http;"/>
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Download (FTP): <ulink url="&pygobject2-download-ftp;"/>
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Download MD5 sum: &pygobject2-md5sum;
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Download size: &pygobject2-size;
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Estimated disk space required: &pygobject2-buildsize;
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Estimated build time: &pygobject2-time;
+          </para>
+        </listitem>
+      </itemizedlist>
+
+    <bridgehead renderas="sect3">Additional Downloads</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Optional patch:
+          <ulink url="&patch-root;/pygobject-&pygobject2-version;-introspection-1.patch"/>
+        </para>
+      </listitem>
+    </itemizedlist>
+
+      <bridgehead renderas="sect4">PyGObject Dependencies</bridgehead>
+
+      <bridgehead renderas="sect5">Required</bridgehead>
+      <para role="required">
+        <xref linkend="glib2"/> and
+        <xref linkend="py2cairo"/>
+      </para>
+
+      <bridgehead renderas="sect5">Optional</bridgehead>
+      <para role="optional">
+        <xref linkend="gobject-introspection"/> and
+        <xref linkend="libxslt"/> (to Build Documentation)
+      </para>
+
+      <para condition="html" role="usernotes">
+        User Notes: <ulink url="&blfs-wiki;/pygobject2"/>
+      </para>
+    </sect3>
+
+    <sect3 role="installation">
+      <title>Installation of PyGObject</title>
+
+      <para>
+        If you have installed <xref linkend="gobject-introspection"/>, apply the
+        required patch by running the following commands:
+      </para>
+
+<screen><userinput>patch -p1 < ../pygobject-&pygobject2-version;-introspection-1.patch</userinput></screen>
+
+      <para>
+        Install <application>PyGObject</application> by running the following
+        commands:
+      </para>
+
+<screen><userinput>./configure --prefix=/usr --disable-introspection &&
+make</userinput></screen>
+
+      <para>
+        This package does not have a working testsuite.
+      </para>
+
+      <para>
+        Now, as the <systemitem class="username">root</systemitem> user:
+      </para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+    </sect3>
+
+    <sect3 role="commands">
+      <title>Command Explanations</title>
+
+      <para>
+        <option>--disable-introspection</option>: Omit this switch if you have
+        installed <xref linkend="gobject-introspection"/>. Note that it
+        conflicts with <xref linkend="pygobject3"/>.
+      </para>
+
+      <para>
+        <option>--disable-docs</option>: This option disables the rebuilding of
+        the html documentation if <xref linkend="libxslt"/> is installed.
+      </para>
+
+    </sect3>
+
+    <sect3 role="content">
+      <title>Contents</title>
+
+      <segmentedlist>
+        <segtitle>Installed Programs</segtitle>
+        <segtitle>Installed Libraries</segtitle>
+        <segtitle>Installed Directories</segtitle>
+
+        <seglistitem>
+          <seg>pygobject-codegen-2.0</seg>
+          <seg>
+            libpyglib-2.0-python.so,
+            _gio.so,
+            unix.so,
+            _glib.so and
+            _gobject.so.
+          </seg>
+          <seg>
+            /usr/include/pygtk-2.0,
+            /usr/lib/python&python2-majorver;/site-packages/gtk-2.0/{gio,glib,gobject},
+            /usr/share/gtk-doc/html/pygobject and
+            /usr/share/pygobject/2.0
+          </seg>
+        </seglistitem>
+      </segmentedlist>
+    </sect3>
+  </sect2>
+  <!-- End PyGObject2 -->
\ No newline at end of file

Added: trunk/BOOK/general/prog/pygobject3.xml
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ trunk/BOOK/general/prog/pygobject3.xml	Thu Aug  8 15:57:44 2013	(r11599)
@@ -0,0 +1,175 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+  
+  <!ENTITY pygobject3-download-http
+           "&gnome-download-http;/pygobject/3.8/pygobject-&pygobject3-version;.tar.xz">
+  <!ENTITY pygobject3-download-ftp
+           "&gnome-download-ftp;/pygobject/3.8/pygobject-&pygobject3-version;.tar.xz">
+  <!ENTITY pygobject3-md5sum        "1621d68fcd522575ed0a9e7017004319">
+  <!ENTITY pygobject3-size          "644 KB">
+  <!ENTITY pygobject3-buildsize     "30 MB">
+  <!ENTITY pygobject3-time          "0.3 SBU">
+]>
+
+ <!-- Begin PyGObject3 -->
+  <sect2 id="pygobject3" xreflabel="PyGObject-&pygobject3-version;">
+
+    <title>PyGObject-&pygobject3-version;</title>
+
+    <indexterm zone="pygobject3">
+      <primary sortas="a-PyGObject3">PyGObject3</primary>
+    </indexterm>
+
+    <sect3 role="package">
+      <title>Introduction to PyGObject3 Module</title>
+
+      <para>
+        <application>PyGObject3</application> provides
+        <application>Python</application> bindings to the GObject
+        class from <application>GLib</application>.
+      </para>
+
+      &lfs73_checked;
+
+      <bridgehead renderas="sect4">Package Information</bridgehead>
+      <itemizedlist spacing="compact">
+        <listitem>
+          <para>
+            Download (HTTP): <ulink url="&pygobject3-download-http;"/>
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Download (FTP): <ulink url="&pygobject3-download-ftp;"/>
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Download MD5 sum: &pygobject3-md5sum;
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Download size: &pygobject3-size;
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Estimated disk space required: &pygobject3-buildsize;
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Estimated build time: &pygobject3-time;
+          </para>
+        </listitem>
+      </itemizedlist>
+
+      <bridgehead renderas="sect4">PyGObject3 Dependencies</bridgehead>
+
+      <bridgehead renderas="sect5">Required</bridgehead>
+      <para role="required">
+        <xref linkend="gobject-introspection"/> and
+        <xref linkend="py2cairo"/>
+        (for <application>Python 2</application> bindings) and/or
+        <xref linkend="pycairo"/>
+        (for <application>Python 3</application> bindings)
+      </para>
+
+      <para condition="html" role="usernotes">
+        User Notes: <ulink url="&blfs-wiki;/pygobject3"/>
+      </para>
+    </sect3>
+
+    <sect3 role="installation">
+      <title>Installation of PyGObject3</title>
+
+      <note>
+        <para>
+          Both <application>Python 2</application> and
+          <application>Python 3</application> modules can
+          be built and installed without any conflicts.
+        </para>
+      </note>
+
+      <para>
+        To build <application>PyGObject3</application> as the
+        <application>Python 2</application> module, run the
+        following commands:
+      </para>
+
+<screen><userinput>mkdir python2 &&
+pushd python2 &&
+../configure --prefix=/usr --with-python=/usr/bin/python &&
+make &&
+popd</userinput></screen>
+
+      <para>
+        To test the results, issue: <command>make -C python2 check</command>.
+      </para>
+
+      <para>
+        To build <application>PyGObject3</application> as the
+        <application>Python 3</application> module, run the
+        following commands:
+      </para>
+
+<screen><userinput>mkdir python3 &&
+pushd python3 &&
+../configure --prefix=/usr --with-python=/usr/bin/python3 &&
+make &&
+popd</userinput></screen>
+
+      <para>
+        To test the results, issue: <command>make -C python3 check</command>.
+      </para>
+
+      <para>
+        To install the <application>Python 2</application> module,
+        run the following command as the
+        <systemitem class="username">root</systemitem> user:
+      </para>
+
+<screen role="root"><userinput>make -C python2 install</userinput></screen>
+
+      <para>
+        To install the <application>Python 3</application> module,
+        run the following command as the
+        <systemitem class="username">root</systemitem> user:
+      </para>
+
+<screen role="root"><userinput>make -C python3 install</userinput></screen>
+
+    </sect3>
+
+    <sect3 role="content">
+      <title>Contents</title>
+
+      <segmentedlist>
+        <segtitle>Installed Programs</segtitle>
+        <segtitle>Installed Library</segtitle>
+        <segtitle>Installed Directories</segtitle>
+
+        <seglistitem>
+          <seg>
+            None
+           </seg>
+          <seg>
+            libpyglib-gi-2.0-python.so and/or
+            libpyglib-gi-2.0-python3.so
+           </seg>
+          <seg>
+            /usr/include/pygobject-3.0 and
+            /usr/lib/python&python2-majorver;/site-packages/{gi,pygtkcompat} and/or
+            /usr/lib/python&python3-majorver;/site-packages/{gi,pygtkcompat}
+          </seg>
+        </seglistitem>
+      </segmentedlist>
+
+    </sect3>
+
+  </sect2>
+  <!-- End PyGObject -->
\ No newline at end of file

Added: trunk/BOOK/general/prog/pygtk.xml
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ trunk/BOOK/general/prog/pygtk.xml	Thu Aug  8 15:57:44 2013	(r11599)
@@ -0,0 +1,214 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY pygtk-download-http
+           "&gnome-download-http;/pygtk/2.24/pygtk-&pygtk-version;.tar.bz2">
+  <!ENTITY pygtk-download-ftp
+           "&gnome-download-ftp;/pygtk/2.24/pygtk-&pygtk-version;.tar.bz2">
+  <!ENTITY pygtk-md5sum        "a1051d5794fd7696d3c1af6422d17a49">
+  <!ENTITY pygtk-size          "2.2 MB">
+  <!ENTITY pygtk-buildsize     "83 MB">
+  <!ENTITY pygtk-time          "0.7 SBU">
+]>
+
+
+   <!-- Begin PyGTK -->
+  <sect2 id="pygtk" xreflabel="PyGTK-&pygtk-version;">
+
+    <title>PyGTK-&pygtk-version;</title>
+
+    <indexterm zone="pygtk">
+      <primary sortas="a-PyGTK">PyGTK</primary>
+    </indexterm>
+
+    <sect3 role="package">
+      <title>Introduction to PyGTK Module</title>
+
+      <para>
+        PyGTK lets you to easily create programs with a graphical user interface
+        using the <application>Python</application> programming language.
+      </para>
+
+      &lfs73_checked;
+
+      <bridgehead renderas="sect4">Package Information</bridgehead>
+      <itemizedlist spacing="compact">
+        <listitem>
+          <para>
+            Download (HTTP): <ulink url="&pygtk-download-http;"/>
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Download (FTP): <ulink url="&pygtk-download-ftp;"/>
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Download MD5 sum: &pygtk-md5sum;
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Download size: &pygtk-size;
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Estimated disk space required: &pygtk-buildsize;
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Estimated build time: &pygtk-time;
+          </para>
+        </listitem>
+      </itemizedlist>
+
+      <bridgehead renderas="sect4">PyGTK Dependencies</bridgehead>
+
+      <bridgehead renderas="sect5">Required</bridgehead>
+      <para role="required">
+        <xref linkend="pygobject2"/>
+      </para>
+
+      <bridgehead renderas="sect5">Required (atk module)</bridgehead>
+      <para role="required">
+        <xref linkend="atk"/>
+      </para>
+
+      <bridgehead renderas="sect5">Required (pango module)</bridgehead>
+      <para role="required">
+        <xref linkend="pango"/>
+      </para>
+
+      <bridgehead renderas="sect5">Required (pangocairo module)</bridgehead>
+      <para role="required">
+        <xref linkend="py2cairo"/> and
+        <xref linkend="pango"/>
+      </para>
+
+      <bridgehead renderas="sect5">Required (gtk and gtk.unixprint modules)</bridgehead>
+      <para role="required">
+        <xref linkend="py2cairo"/> and
+        <xref linkend="gtk2"/>.
+      </para>
+
+      <bridgehead renderas="sect5">Required (gtk.glade module)</bridgehead>
+      <para role="required">
+        <xref linkend="py2cairo"/> and
+        <xref linkend="libglade"/>.
+      </para>
+
+      <bridgehead renderas="sect5">Optional</bridgehead>
+      <para role="optional">
+        <ulink url="http://sourceforge.net/projects/numpy/">NumPy</ulink>
+      </para>
+
+      <bridgehead renderas="sect5">Optional (to Build Documentation)</bridgehead>
+      <para role="optional">
+        <xref linkend="libxslt"/>
+      </para>
+
+      <para condition="html" role="usernotes">
+        User Notes: <ulink url="&blfs-wiki;/pygtk"/>
+      </para>
+    </sect3>
+
+    <sect3 role="installation">
+      <title>Installation of PyGTK</title>
+
+      <para>
+        Install <application>PyGTK</application> by running the following
+        commands:
+      </para>
+
+<screen><userinput>./configure --prefix=/usr &&
+make</userinput></screen>
+
+      <para>
+        The tests must be run from an active X display. If this is so, issue:
+        <command>make check</command>.
+      </para>
+
+      <para>
+        Now, as the <systemitem class="username">root</systemitem> user:
+      </para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+    </sect3>
+
+    <sect3 role="commands">
+      <title>Command Explanations</title>
+
+      <para>
+        <parameter>--enable-docs</parameter>: This option enables rebuilding the
+        html documentation if <xref linkend="libxslt"/> is installed.
+      </para>
+    </sect3>
+
+    <sect3 role="content">
+      <title>Contents</title>
+
+      <segmentedlist>
+        <segtitle>Installed Programs</segtitle>
+        <segtitle>Installed Libraries</segtitle>
+        <segtitle>Installed Directories</segtitle>
+
+        <seglistitem>
+          <seg>pygtk-codegen-2.0 and pygtk-demo.</seg>
+          <seg>
+            atk.so,
+            _gtk.so,
+            glade.so,
+            gtkunixprint.so,
+            pango.so and
+            pangocairo.so.
+          </seg>
+          <seg>
+            /usr/include/pygtk-2.0,
+            /usr/lib/pygtk,
+            /usr/lib/python&python2-majorver;/site-packages/gtk-2.0,
+            /usr/share/gtk-doc/html/pygtk and
+            /usr/share/pygtk.
+          </seg>
+        </seglistitem>
+      </segmentedlist>
+
+      <variablelist>
+        <bridgehead renderas="sect4">Short Descriptions</bridgehead>
+        <?dbfo list-presentation="list"?>
+        <?dbhtml list-presentation="table"?>
+
+        <varlistentry id="pygtk-codegen-2.0">
+          <term><command>pygtk-codegen-2.0</command></term>
+          <listitem>
+            <para>
+              is a wrapper script to run the <application>PyGTK</application>
+              codegen module.
+            </para>
+            <indexterm zone="pygtk pygtk-codegen-2.0">
+              <primary sortas="b-pygtk-codegen-2.0">pygtk-codegen-2.0</primary>
+            </indexterm>
+          </listitem>
+        </varlistentry>
+
+        <varlistentry id="pygtk-demo">
+          <term><command>pygtk-demo</command></term>
+          <listitem>
+            <para>
+              is a Python wrapper to run the <application>PyGTK</application>
+              demo program.
+            </para>
+            <indexterm zone="pygtk pygtk-demo">
+              <primary sortas="b-pygtk-demo">pygtk-demo</primary>
+            </indexterm>
+          </listitem>
+        </varlistentry>
+      </variablelist>
+    </sect3>
+  </sect2>
+  <!-- End PyGTK -->
\ No newline at end of file

Added: trunk/BOOK/general/prog/pyrex.xml
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ trunk/BOOK/general/prog/pyrex.xml	Thu Aug  8 15:57:44 2013	(r11599)
@@ -0,0 +1,119 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY pyrex-download-http
+           "http://www.cosc.canterbury.ac.nz/~greg/python/Pyrex/Pyrex-&pyrex-version;.tar.gz">
+  <!ENTITY pyrex-download-ftp  " ">
+  <!ENTITY pyrex-md5sum        "515dee67d15d4393841e2d60e8341947">
+  <!ENTITY pyrex-size          "252 KB">
+  <!ENTITY pyrex-buildsize     "4.0 MB">
+  <!ENTITY pyrex-time          "less than 0.1 SBU">
+  ]>
+
+
+
+  <!-- Begin Pyrex -->
+  <sect2 id="pyrex" xreflabel="Pyrex-&pyrex-version;">
+
+    <title>Pyrex-&pyrex-version;</title>
+
+    <indexterm zone="pyrex">
+      <primary sortas="a-Pyrex">Pyrex</primary>
+    </indexterm>
+
+    <sect3 role="package">
+      <title>Introduction to Pyrex Module</title>
+
+      <para>
+        <application>Pyrex</application> is language used for writing
+        <application>Python</application> extension modules.
+      </para>
+
+      &lfs73_checked;
+
+      <bridgehead renderas="sect4">Package Information</bridgehead>
+      <itemizedlist spacing="compact">
+        <listitem>
+          <para>
+          Download (HTTP): <ulink url="&pyrex-download-http;"/>
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Download (FTP): <ulink url="&pyrex-download-ftp;"/>
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Download MD5 sum: &pyrex-md5sum;
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Download size: &pyrex-size;
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Estimated disk space required: &pyrex-buildsize;
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Estimated build time: &pyrex-time;
+          </para>
+        </listitem>
+      </itemizedlist>
+
+      <bridgehead renderas="sect4">Pyrex Dependencies</bridgehead>
+
+      <bridgehead renderas="sect5">Required</bridgehead>
+      <para role="required">
+        <xref linkend="python2"/>
+      </para>
+
+      <para condition="html" role="usernotes">
+        User Notes: <ulink url="&blfs-wiki;/pyrex"/>
+      </para>
+    </sect3>
+
+    <sect3 role="installation">
+      <title>Installation of Pyrex</title>
+
+      <para>
+        Install <application>pyrex</application> by running the following
+        commands as the <systemitem class="username">root</systemitem> user:
+      </para>
+
+<screen role="root"><userinput>python setup.py install</userinput></screen>
+
+    </sect3>
+
+    <sect3 role="content">
+      <title>Contents</title>
+
+      <segmentedlist>
+        <segtitle>Installed Program</segtitle>
+        <segtitle>Installed Libraries</segtitle>
+        <segtitle>Installed Directory</segtitle>
+
+        <seglistitem>
+          <seg>
+            pyrexc
+          </seg>
+          <seg>
+            None
+          </seg>
+          <seg>
+            /usr/lib/python&python2-majorver;/site-packages/Pyrex
+          </seg>
+        </seglistitem>
+      </segmentedlist>
+
+    </sect3>
+
+  </sect2>
+  <!-- End Pyrex -->
\ No newline at end of file

Modified: trunk/BOOK/general/prog/python-modules.xml
==============================================================================
--- trunk/BOOK/general/prog/python-modules.xml	Thu Aug  8 15:55:57 2013	(r11598)
+++ trunk/BOOK/general/prog/python-modules.xml	Thu Aug  8 15:57:44 2013	(r11599)
@@ -3,92 +3,9 @@
    "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../../general.ent">
   %general-entities;
-
-  <!ENTITY dbus-python-download-http "http://dbus.freedesktop.org/releases/dbus-python/dbus-python-&dbus-python-version;.tar.gz">
-  <!ENTITY dbus-python-download-ftp  " ">
-  <!ENTITY dbus-python-md5sum        "b09cd2d1a057cc432ce944de3fc06bf7">
-  <!ENTITY dbus-python-size          "592 KB">
-  <!ENTITY dbus-python-buildsize     "11 MB">
-  <!ENTITY dbus-python-time          "0.3 SBU">
-
-  <!ENTITY notify-python-download-http
-           "http://www.galago-project.org/files/releases/source/notify-python/notify-python-&notify-python-version;.tar.bz2">
-  <!ENTITY notify-python-download-ftp  " ">
-  <!ENTITY notify-python-md5sum        "d247cf79b46cef7495deb0a76334f81d">
-  <!ENTITY notify-python-size          "212 KB">
-  <!ENTITY notify-python-buildsize     "2.3 MB">
-  <!ENTITY notify-python-time          "less than 0.1 SBU">
-
-  <!ENTITY py2cairo-download-http
-           "http://cairographics.org/releases/py2cairo-&py2cairo-version;.tar.bz2">
-  <!ENTITY py2cairo-download-ftp  " ">
-  <!ENTITY py2cairo-md5sum        "20337132c4ab06c1146ad384d55372c5">
-  <!ENTITY py2cairo-size          "400 KB">
-  <!ENTITY py2cairo-buildsize     "3.6 MB">
-  <!ENTITY py2cairo-time          "less than 0.1 SBU">
-
-  <!ENTITY pycairo-download-http
-           "http://cairographics.org/releases/pycairo-&pycairo-version;.tar.bz2">
-  <!ENTITY pycairo-download-ftp  " ">
-  <!ENTITY pycairo-md5sum        "e6fd3f2f1e6a72e0db0868c4985669c5">
-  <!ENTITY pycairo-size          "244 KB">
-  <!ENTITY pycairo-buildsize     "3.0 MB">
-  <!ENTITY pycairo-time          "less than 0.1 SBU">
-
-  <!ENTITY pygobject2-download-http
-           "&gnome-download-http;/pygobject/2.28/pygobject-&pygobject2-version;.tar.xz">
-  <!ENTITY pygobject2-download-ftp
-           "&gnome-download-ftp;/pygobject/2.28/pygobject-&pygobject2-version;.tar.xz">
-  <!ENTITY pygobject2-md5sum        "9415cb7f2b3a847f2310ccea258b101e">
-  <!ENTITY pygobject2-size          "730 KB">
-  <!ENTITY pygobject2-buildsize     "25 MB">
-  <!ENTITY pygobject2-time          "0.2 SBU">
-
-  <!ENTITY pygobject3-download-http
-           "&gnome-download-http;/pygobject/3.8/pygobject-&pygobject3-version;.tar.xz">
-  <!ENTITY pygobject3-download-ftp
-           "&gnome-download-ftp;/pygobject/3.8/pygobject-&pygobject3-version;.tar.xz">
-  <!ENTITY pygobject3-md5sum        "1621d68fcd522575ed0a9e7017004319">
-  <!ENTITY pygobject3-size          "644 KB">
-  <!ENTITY pygobject3-buildsize     "30 MB">
-  <!ENTITY pygobject3-time          "0.3 SBU">
-
-  <!ENTITY pygtk-download-http
-           "&gnome-download-http;/pygtk/2.24/pygtk-&pygtk-version;.tar.bz2">
-  <!ENTITY pygtk-download-ftp
-           "&gnome-download-ftp;/pygtk/2.24/pygtk-&pygtk-version;.tar.bz2">
-  <!ENTITY pygtk-md5sum        "a1051d5794fd7696d3c1af6422d17a49">
-  <!ENTITY pygtk-size          "2.2 MB">
-  <!ENTITY pygtk-buildsize     "83 MB">
-  <!ENTITY pygtk-time          "0.7 SBU">
-
-  <!ENTITY pyatspi2-download-http
-           "&gnome-download-http;/pyatspi/2.8/pyatspi-&pyatspi2-version;.tar.xz">
-  <!ENTITY pyatspi2-download-ftp
-           "&gnome-download-ftp;/pyatspi/2.8/pyatspi-&pyatspi2-version;.tar.xz">
-  <!ENTITY pyatspi2-md5sum        "930f51c62cca60ebdf90f735d26385b2">
-  <!ENTITY pyatspi2-size          "284 KB">
-  <!ENTITY pyatspi2-buildsize     "5.0 MB">
-  <!ENTITY pyatspi2-time          "less than 0.1 SBU">
-
-  <!ENTITY pyrex-download-http
-           "http://www.cosc.canterbury.ac.nz/~greg/python/Pyrex/Pyrex-&pyrex-version;.tar.gz">
-  <!ENTITY pyrex-download-ftp  " ">
-  <!ENTITY pyrex-md5sum        "515dee67d15d4393841e2d60e8341947">
-  <!ENTITY pyrex-size          "252 KB">
-  <!ENTITY pyrex-buildsize     "4.0 MB">
-  <!ENTITY pyrex-time          "less than 0.1 SBU">
-
-  <!ENTITY pyxdg-download-http 
-           "http://people.freedesktop.org/~takluyver/pyxdg-&pyxdg-version;.tar.gz">
-  <!ENTITY pyxdg-download-ftp  " ">
-  <!ENTITY pyxdg-md5sum        "bedcdb3a0ed85986d40044c87f23477c">
-  <!ENTITY pyxdg-size          "48 KB">
-  <!ENTITY pyxdg-buildsize     "800 KB">
-  <!ENTITY pyxdg-time          "less than 0.1 SBU">
 ]>
 
-<sect1 id="python-modules" xreflabel="Python modules">
+<sect1 id="python-modules" xreflabel="Python Modules">
   <?dbhtml filename="python-modules.html" ?>
 
   <sect1info>
@@ -99,7 +16,7 @@
   <title>Python Modules</title>
 
   <indexterm zone="python-modules">
-    <primary sortas="a-Python-modules">Python modules</primary>
+    <primary sortas="a-Python-Modules">Python Modules</primary>
   </indexterm>
 
   <sect2 role="package">
@@ -167,1423 +84,34 @@
     </itemizedlist>
   </sect2>
 
-  <!-- Begin D-Bus Python -->
-  <sect2 id="dbus-python" xreflabel="D-Bus Python-&dbus-python-version;">
-    <title>D-Bus Python</title>
-
-    <indexterm zone="dbus-python">
-      <primary sortas="a-dbus-python">dbus-python</primary>
-    </indexterm>
-
-    <sect3 role="package">
-      <title>Introduction to D-Bus Python Module</title>
-
-      <para>
-        <application>D-Bus Python</application> provides
-        <application>Python</application> bindings to the
-        <application>D-Bus</application>.
-      </para>
-
-      &lfs73_checked;
-
-      <bridgehead renderas="sect4">Package Information</bridgehead>
-      <itemizedlist spacing="compact">
-        <listitem>
-          <para>
-            Download (HTTP): <ulink url="&dbus-python-download-http;"/>
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Download (FTP): <ulink url="&dbus-python-download-ftp;"/>
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Download MD5 sum: &dbus-python-md5sum;
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Download size: &dbus-python-size;
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Estimated disk space required: &dbus-python-buildsize;
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Estimated build time: &dbus-python-time;
-          </para>
-        </listitem>
-      </itemizedlist>
-
-      <bridgehead renderas="sect4">D-Bus Python Dependencies</bridgehead>
-
-      <bridgehead renderas="sect5">Required</bridgehead>
-      <para role="required">
-        <xref linkend="dbus-glib"/> and
-        <xref linkend="python2"/> and/or
-        <xref linkend="python3"/>
-      </para>
-
-      <bridgehead renderas="sect5">
-       Optional (Required to build the API and HTML Documentation)
-      </bridgehead>
-      <para role="optional">
-        <ulink url="http://epydoc.sourceforge.net/">Epydoc</ulink> and
-        <ulink url="http://docutils.sourceforge.net/">Docutils</ulink>
-      </para>
-
-      <para condition="html" role="usernotes">User Notes:
-        <ulink url="&blfs-wiki;/dbus-python"/>
-      </para>
-    </sect3>
-
-    <sect3 role="installation">
-      <title>Installation of D-Bus Python</title>
-
-      <note>
-        <para>
-          Both <application>Python 2</application> and
-          <application>Python 3</application> modules can
-          be built and installed without any conflicts.
-        </para>
-      </note>
-
-      <para>
-        To build <application>D-Bus Python</application> as the
-        <application>Python 2</application> module, run the
-        following commands:
-      </para>
-
-<screen><userinput>mkdir python2 &&
-pushd python2 &&
-PYTHON=/usr/bin/python     \
-../configure --prefix=/usr \
-             --docdir=/usr/share/doc/dbus-python-&dbus-python-version; &&
-make &&
-popd</userinput></screen>
-
-      <para>
-        To test the results, issue: <command>make -C python2 check</command>.
-      </para>
-
-      <para>
-        To build <application>D-Bus Python</application> as the
-        <application>Python 3</application> module, run the
-        following commands:
-      </para>
-
-<screen><userinput>mkdir python3 &&
-pushd python3 &&
-PYTHON=/usr/bin/python3    \
-../configure --prefix=/usr \
-             --docdir=/usr/share/doc/dbus-python-&dbus-python-version; &&
-make &&
-popd</userinput></screen>
-
-      <para>
-        To test the results, issue: <command>make -C python3 check</command>.
-      </para>
-
-      <para>
-        To install the <application>Python 2</application> module,
-        run the following command as the
-        <systemitem class="username">root</systemitem> user:
-      </para>
-
-<screen role="root"><userinput>make -C python2 install</userinput></screen>
-
-      <para>
-        To install the <application>Python 3</application> module,
-        run the following command as the
-        <systemitem class="username">root</systemitem> user:
-      </para>
-
-<screen role="root"><userinput>make -C python3 install</userinput></screen>
-
-    </sect3>
-
-    <sect3 role="content">
-      <title>Contents</title>
-
-      <segmentedlist>
-        <segtitle>Installed Programs</segtitle>
-        <segtitle>Installed Libraries</segtitle>
-        <segtitle>Installed Directories</segtitle>
-
-        <seglistitem>
-          <seg>
-            None
-          </seg>
-          <seg>
-            None
-          </seg>
-          <seg>
-            /usr/share/doc/dbus-python-&dbus-python-version; and
-            /usr/lib/python&python2-majorver;/site-packages/dbus and/or
-            /usr/lib/python&python3-majorver;/site-packages/dbus 
-          </seg>
-        </seglistitem>
-      </segmentedlist>
-
-    </sect3>
-
-  </sect2>
-  <!-- End D-Bus Python -->
-
-  <!-- Begin Notify Python -->
-  <sect2 id="notify-python" xreflabel="Notify Python-&notify-python-version;">
-
-    <title>Notify Python-&notify-python-version;</title>
-
-    <indexterm zone="notify-python">
-      <primary sortas="a-notify-python">notify-python</primary>
-    </indexterm>
-
-    <sect3 role="package">
-      <title>Introduction to Notify Python Module</title>
-
-      <para>
-        Notify Python provides <application>Python 2</application>
-        bindings to the <application>libnotify</application>.
-      </para>
-
-      &lfs73_checked;
-
-      <bridgehead renderas="sect4">Package Information</bridgehead>
-      <itemizedlist spacing="compact">
-        <listitem>
-          <para>
-            Download (HTTP): <ulink url="&notify-python-download-http;"/>
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Download (FTP): <ulink url="&notify-python-download-ftp;"/>
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Download MD5 sum: &notify-python-md5sum;
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Download size: &notify-python-size;
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Estimated disk space required: &notify-python-buildsize;
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Estimated build time: &notify-python-time;
-          </para>
-        </listitem>
-      </itemizedlist>
-
-    <bridgehead renderas="sect3">Additional Downloads</bridgehead>
-    <itemizedlist spacing="compact">
-      <listitem>
-        <para>
-          Required patch:
-          <ulink url="&patch-root;/notify-python-&notify-python-version;-libnotify-0.7-1.patch"/>
-        </para>
-      </listitem>
-    </itemizedlist>
-
-      <bridgehead renderas="sect4">Notify Python Dependencies</bridgehead>
-
-      <bridgehead renderas="sect5">Required</bridgehead>
-      <para role="required">
-        <xref linkend="libnotify"/> and
-        <xref linkend="pygtk"/> (with <xref linkend="gtk2"/> support).
-      </para>
-
-      <para condition="html" role="usernotes">
-        User Notes: <ulink url="&blfs-wiki;/notify-python"/>
-      </para>
-    </sect3>
-
-    <sect3 role="installation">
-      <title>Installation of Notify Python</title>
-
-      <para>
-        Install <application>Notify Python</application> by running the following
-        commands:
-      </para>
-
-<screen><userinput>patch -Np1 -i ../notify-python-&notify-python-version;-libnotify-0.7-1.patch &&
-./configure --prefix=/usr &&
-make</userinput></screen>
-
-      <para>
-        This package does not come with a testsuite.
-      </para>
-
-      <para>
-        Now, as the <systemitem class="username">root</systemitem> user:
-      </para>
-
-<screen role="root"><userinput>make install</userinput></screen>
-    </sect3>
-
-    <sect3 role="content">
-      <title>Contents</title>
-
-      <segmentedlist>
-        <segtitle>Installed Programs</segtitle>
-        <segtitle>Installed Libraries</segtitle>
-        <segtitle>Installed Directory</segtitle>
-
-        <seglistitem>
-          <seg>
-            None
-          </seg>
-          <seg>
-            None
-          </seg>
-          <seg>
-            /usr/lib/python&python2-majorver;/site-packages/gtk-2.0/pynotify
-          </seg>
-        </seglistitem>
-      </segmentedlist>
-    </sect3>
-  </sect2>
-  <!-- End Notify Python -->
-
-  <!-- Begin Py2cairo -->
-  <sect2 id="py2cairo" xreflabel="Py2cairo-&py2cairo-version;">
-
-    <title>Py2cairo-&py2cairo-version;</title>
-
-    <indexterm zone="py2cairo">
-      <primary sortas="a-Py2cairo">Py2cairo</primary>
-    </indexterm>
-
-    <sect3 role="package">
-      <title>Introduction to Py2cairo Module</title>
-
-      <para>
-        Py2cairo provides <application>Python 2</application> bindings to
-        <application>Cairo</application>.
-      </para>
-
-      &lfs73_checked;
-
-      <bridgehead renderas="sect4">Package Information</bridgehead>
-      <itemizedlist spacing="compact">
-        <listitem>
-          <para>
-            Download (HTTP): <ulink url="&py2cairo-download-http;"/>
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Download (FTP): <ulink url="&py2cairo-download-ftp;"/>
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Download MD5 sum: &py2cairo-md5sum;
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Download size: &py2cairo-size;
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Estimated disk space required: &py2cairo-buildsize;
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Estimated build time: &py2cairo-time;
-          </para>
-        </listitem>
-      </itemizedlist>
-
-      <bridgehead renderas="sect4">Py2cairo Dependencies</bridgehead>
-
-      <bridgehead renderas="sect5">Required</bridgehead>
-      <para role="required">
-        <xref linkend="python2"/> and
-        <xref linkend="cairo"/>
-      </para>
-
-      <bridgehead renderas="sect5">Optional</bridgehead>
-      <para role="optional">
-        <ulink url="http://pytest.org">pytest</ulink>
-      </para>
-
-      <para condition="html" role="usernotes">
-        User Notes: <ulink url="&blfs-wiki;/py2cairo"/>
-      </para>
-    </sect3>
-
-    <sect3 role="installation">
-      <title>Installation of Py2cairo</title>
-
-      <para>
-        Install <application>Py2cairo</application> by running the following
-        commands:
-      </para>
-
-<screen><userinput>./waf configure --prefix=/usr &&
-./waf build</userinput></screen>
-
-      <para>
-        The test suite must be run after the package is installed.
-      </para>
-
-      <para>
-        Now, as the <systemitem class="username">root</systemitem> user:
-      </para>
-
-<screen role="root"><userinput>./waf install</userinput></screen>
-
-      <para>
-        The test suite requires the optional <application>pytest</application>
-        package. If installed, it is run by changing to the
-        <filename class='directory'>test</filename> directory and running
-        <userinput>py.test</userinput> an an unprivileged user.
-      </para>
-    </sect3>
-
-    <sect3 role="content">
-      <title>Contents</title>
-
-      <segmentedlist>
-        <segtitle>Installed Programs</segtitle>
-        <segtitle>Installed Library</segtitle>
-        <segtitle>Installed Directory</segtitle>
-
-        <seglistitem>
-          <seg>
-            None
-          </seg>
-          <seg>
-            _cairo.so
-          </seg>
-          <seg>
-            /usr/include/pycairo and
-            /usr/lib/python&python2-majorver;/site-packages/cairo
-          </seg>
-        </seglistitem>
-      </segmentedlist>
-    </sect3>
-  </sect2>
-  <!-- End Py2cairo -->
-
-  <!-- Begin PyCairo -->
-  <sect2 id="pycairo" xreflabel="PyCairo-&pycairo-version;">
-
-    <title>PyCairo-&pycairo-version;</title>
-
-    <indexterm zone="pycairo">
-      <primary sortas="a-PyCairo">PyCairo</primary>
-    </indexterm>
-
-    <sect3 role="package">
-      <title>Introduction to PyCairo Module</title>
-
-      <para>
-        PyCairo provides <application>Python 3</application> bindings to
-        <application>Cairo</application>.
-      </para>
-
-      &lfs73_checked;
-
-      <bridgehead renderas="sect4">Package Information</bridgehead>
-      <itemizedlist spacing="compact">
-        <listitem>
-          <para>
-            Download (HTTP): <ulink url="&pycairo-download-http;"/>
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Download (FTP): <ulink url="&pycairo-download-ftp;"/>
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Download MD5 sum: &pycairo-md5sum;
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Download size: &pycairo-size;
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Estimated disk space required: &pycairo-buildsize;
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Estimated build time: &pycairo-time;
-          </para>
-        </listitem>
-      </itemizedlist>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="dbus-python.xml"/>
 
-      <bridgehead renderas="sect4">PyCairo Dependencies</bridgehead>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="notify-python.xml"/>
 
-      <bridgehead renderas="sect5">Required</bridgehead>
-      <para role="required">
-        <xref linkend="cairo"/> and
-        <xref linkend="python3"/>
-      </para>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="py2cairo.xml"/>
 
-      <para condition="html" role="usernotes">
-        User Notes: <ulink url="&blfs-wiki;/pycairo"/>
-      </para>
-    </sect3>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="pycairo.xml"/>
 
-    <sect3 role="installation">
-      <title>Installation of PyCairo</title>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="pygobject2.xml"/>
 
-      <para>
-        Install <application>PyCairo</application> by running the following
-        commands:
-      </para>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="pygobject3.xml"/>
 
-<screen><userinput>PYTHON=/usr/bin/python3 ./waf configure --prefix=/usr &&
-./waf build</userinput></screen>
-
-      <para>
-        This package does not come with a test suite.
-      </para>
-
-      <para>
-        Now, as the <systemitem class="username">root</systemitem> user:
-      </para>
-
-<screen role="root"><userinput>./waf install</userinput></screen>
-
-    </sect3>
-
-    <sect3 role="content">
-      <title>Contents</title>
-
-      <segmentedlist>
-        <segtitle>Installed Programs</segtitle>
-        <segtitle>Installed Library</segtitle>
-        <segtitle>Installed Directory</segtitle>
-
-        <seglistitem>
-          <seg>
-            None
-          </seg>
-          <seg>
-            None
-          </seg>
-          <seg>
-            /usr/include/pycairo and
-            /usr/lib/python&python3-majorver;/site-packages/cairo
-          </seg>
-        </seglistitem>
-      </segmentedlist>
-    </sect3>
-  </sect2>
-  <!-- End PyCairo -->
-
-  <!-- Begin PyGObject2 -->
-  <sect2 id="pygobject2" xreflabel="PyGObject-&pygobject2-version;">
-
-    <title>PyGObject-&pygobject2-version;</title>
-
-    <indexterm zone="pygobject2">
-      <primary sortas="a-PyGObject">PyGObject</primary>
-    </indexterm>
-
-    <sect3 role="package">
-      <title>Introduction to PyGObject Module</title>
-
-      <para>
-        PyGObject-&pygobject2-version; provides
-        <application>Python 2</application> bindings to the GObject class from
-        <application>GLib</application>.
-      </para>
-
-      &lfs73_checked;
-
-      <bridgehead renderas="sect4">Package Information</bridgehead>
-      <itemizedlist spacing="compact">
-        <listitem>
-          <para>
-            Download (HTTP): <ulink url="&pygobject2-download-http;"/>
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Download (FTP): <ulink url="&pygobject2-download-ftp;"/>
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Download MD5 sum: &pygobject2-md5sum;
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Download size: &pygobject2-size;
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Estimated disk space required: &pygobject2-buildsize;
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Estimated build time: &pygobject2-time;
-          </para>
-        </listitem>
-      </itemizedlist>
-
-    <bridgehead renderas="sect3">Additional Downloads</bridgehead>
-    <itemizedlist spacing="compact">
-      <listitem>
-        <para>
-          Optional patch:
-          <ulink url="&patch-root;/pygobject-&pygobject2-version;-introspection-1.patch"/>
-        </para>
-      </listitem>
-    </itemizedlist>
-
-      <bridgehead renderas="sect4">PyGObject Dependencies</bridgehead>
-
-      <bridgehead renderas="sect5">Required</bridgehead>
-      <para role="required">
-        <xref linkend="glib2"/> and
-        <xref linkend="py2cairo"/>
-      </para>
-
-      <bridgehead renderas="sect5">Optional</bridgehead>
-      <para role="optional">
-        <xref linkend="gobject-introspection"/> and
-        <xref linkend="libxslt"/> (to Build Documentation)
-      </para>
-
-      <para condition="html" role="usernotes">
-        User Notes: <ulink url="&blfs-wiki;/pygobject2"/>
-      </para>
-    </sect3>
-
-    <sect3 role="installation">
-      <title>Installation of PyGObject</title>
-
-      <para>
-        If you have installed <xref linkend="gobject-introspection"/>, apply the
-        required patch by running the following commands:
-      </para>
-
-<screen><userinput>patch -p1 < ../pygobject-&pygobject2-version;-introspection-1.patch</userinput></screen>
-
-      <para>
-        Install <application>PyGObject</application> by running the following
-        commands:
-      </para>
-
-<screen><userinput>./configure --prefix=/usr --disable-introspection &&
-make</userinput></screen>
-
-      <para>
-        This package does not have a working testsuite.
-      </para>
-
-      <para>
-        Now, as the <systemitem class="username">root</systemitem> user:
-      </para>
-
-<screen role="root"><userinput>make install</userinput></screen>
-    </sect3>
-
-    <sect3 role="commands">
-      <title>Command Explanations</title>
-
-      <para>
-        <option>--disable-introspection</option>: Omit this switch if you have
-        installed <xref linkend="gobject-introspection"/>. Note that it
-        conflicts with <xref linkend="pygobject3"/>.
-      </para>
-
-      <para>
-        <option>--disable-docs</option>: This option disables the rebuilding of
-        the html documentation if <xref linkend="libxslt"/> is installed.
-      </para>
-
-    </sect3>
-
-    <sect3 role="content">
-      <title>Contents</title>
-
-      <segmentedlist>
-        <segtitle>Installed Programs</segtitle>
-        <segtitle>Installed Libraries</segtitle>
-        <segtitle>Installed Directories</segtitle>
-
-        <seglistitem>
-          <seg>pygobject-codegen-2.0</seg>
-          <seg>
-            libpyglib-2.0-python.so,
-            _gio.so,
-            unix.so,
-            _glib.so and
-            _gobject.so.
-          </seg>
-          <seg>
-            /usr/include/pygtk-2.0,
-            /usr/lib/python&python2-majorver;/site-packages/gtk-2.0/{gio,glib,gobject},
-            /usr/share/gtk-doc/html/pygobject and
-            /usr/share/pygobject/2.0
-          </seg>
-        </seglistitem>
-      </segmentedlist>
-    </sect3>
-  </sect2>
-  <!-- End PyGObject2 -->
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="pygtk.xml"/>
 
-  <!-- Begin PyGObject3 -->
-  <sect2 id="pygobject3" xreflabel="PyGObject-&pygobject3-version;">
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="pyatspi2.xml"/>
 
-    <title>PyGObject-&pygobject3-version;</title>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="pyrex.xml"/>
 
-    <indexterm zone="pygobject3">
-      <primary sortas="a-PyGObject3">PyGObject3</primary>
-    </indexterm>
-
-    <sect3 role="package">
-      <title>Introduction to PyGObject3 Module</title>
-
-      <para>
-        <application>PyGObject3</application> provides
-        <application>Python</application> bindings to the GObject
-        class from <application>GLib</application>.
-      </para>
-
-      &lfs73_checked;
-
-      <bridgehead renderas="sect4">Package Information</bridgehead>
-      <itemizedlist spacing="compact">
-        <listitem>
-          <para>
-            Download (HTTP): <ulink url="&pygobject3-download-http;"/>
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Download (FTP): <ulink url="&pygobject3-download-ftp;"/>
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Download MD5 sum: &pygobject3-md5sum;
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Download size: &pygobject3-size;
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Estimated disk space required: &pygobject3-buildsize;
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Estimated build time: &pygobject3-time;
-          </para>
-        </listitem>
-      </itemizedlist>
-
-      <bridgehead renderas="sect4">PyGObject3 Dependencies</bridgehead>
-
-      <bridgehead renderas="sect5">Required</bridgehead>
-      <para role="required">
-        <xref linkend="gobject-introspection"/> and
-        <xref linkend="py2cairo"/>
-        (for <application>Python 2</application> bindings) and/or
-        <xref linkend="pycairo"/>
-        (for <application>Python 3</application> bindings)
-      </para>
-
-      <para condition="html" role="usernotes">
-        User Notes: <ulink url="&blfs-wiki;/pygobject3"/>
-      </para>
-    </sect3>
-
-    <sect3 role="installation">
-      <title>Installation of PyGObject3</title>
-
-      <note>
-        <para>
-          Both <application>Python 2</application> and
-          <application>Python 3</application> modules can
-          be built and installed without any conflicts.
-        </para>
-      </note>
-
-      <para>
-        To build <application>PyGObject3</application> as the
-        <application>Python 2</application> module, run the
-        following commands:
-      </para>
-
-<screen><userinput>mkdir python2 &&
-pushd python2 &&
-../configure --prefix=/usr --with-python=/usr/bin/python &&
-make &&
-popd</userinput></screen>
-
-      <para>
-        To test the results, issue: <command>make -C python2 check</command>.
-      </para>
-
-      <para>
-        To build <application>PyGObject3</application> as the
-        <application>Python 3</application> module, run the
-        following commands:
-      </para>
-
-<screen><userinput>mkdir python3 &&
-pushd python3 &&
-../configure --prefix=/usr --with-python=/usr/bin/python3 &&
-make &&
-popd</userinput></screen>
-
-      <para>
-        To test the results, issue: <command>make -C python3 check</command>.
-      </para>
-
-      <para>
-        To install the <application>Python 2</application> module,
-        run the following command as the
-        <systemitem class="username">root</systemitem> user:
-      </para>
-
-<screen role="root"><userinput>make -C python2 install</userinput></screen>
-
-      <para>
-        To install the <application>Python 3</application> module,
-        run the following command as the
-        <systemitem class="username">root</systemitem> user:
-      </para>
-
-<screen role="root"><userinput>make -C python3 install</userinput></screen>
-
-    </sect3>
-
-    <sect3 role="content">
-      <title>Contents</title>
-
-      <segmentedlist>
-        <segtitle>Installed Programs</segtitle>
-        <segtitle>Installed Library</segtitle>
-        <segtitle>Installed Directories</segtitle>
-
-        <seglistitem>
-          <seg>
-            None
-           </seg>
-          <seg>
-            libpyglib-gi-2.0-python.so and/or
-            libpyglib-gi-2.0-python3.so
-           </seg>
-          <seg>
-            /usr/include/pygobject-3.0 and
-            /usr/lib/python&python2-majorver;/site-packages/{gi,pygtkcompat} and/or
-            /usr/lib/python&python3-majorver;/site-packages/{gi,pygtkcompat}
-          </seg>
-        </seglistitem>
-      </segmentedlist>
-
-    </sect3>
-
-  </sect2>
-  <!-- End PyGObject -->
-
-  <!-- Begin PyGTK -->
-  <sect2 id="pygtk" xreflabel="PyGTK-&pygtk-version;">
-
-    <title>PyGTK-&pygtk-version;</title>
-
-    <indexterm zone="pygtk">
-      <primary sortas="a-PyGTK">PyGTK</primary>
-    </indexterm>
-
-    <sect3 role="package">
-      <title>Introduction to PyGTK Module</title>
-
-      <para>
-        PyGTK lets you to easily create programs with a graphical user interface
-        using the <application>Python</application> programming language.
-      </para>
-
-      &lfs73_checked;
-
-      <bridgehead renderas="sect4">Package Information</bridgehead>
-      <itemizedlist spacing="compact">
-        <listitem>
-          <para>
-            Download (HTTP): <ulink url="&pygtk-download-http;"/>
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Download (FTP): <ulink url="&pygtk-download-ftp;"/>
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Download MD5 sum: &pygtk-md5sum;
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Download size: &pygtk-size;
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Estimated disk space required: &pygtk-buildsize;
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Estimated build time: &pygtk-time;
-          </para>
-        </listitem>
-      </itemizedlist>
-
-      <bridgehead renderas="sect4">PyGTK Dependencies</bridgehead>
-
-      <bridgehead renderas="sect5">Required</bridgehead>
-      <para role="required">
-        <xref linkend="pygobject2"/>
-      </para>
-
-      <bridgehead renderas="sect5">Required (atk module)</bridgehead>
-      <para role="required">
-        <xref linkend="atk"/>
-      </para>
-
-      <bridgehead renderas="sect5">Required (pango module)</bridgehead>
-      <para role="required">
-        <xref linkend="pango"/>
-      </para>
-
-      <bridgehead renderas="sect5">Required (pangocairo module)</bridgehead>
-      <para role="required">
-        <xref linkend="py2cairo"/> and
-        <xref linkend="pango"/>
-      </para>
-
-      <bridgehead renderas="sect5">Required (gtk and gtk.unixprint modules)</bridgehead>
-      <para role="required">
-        <xref linkend="py2cairo"/> and
-        <xref linkend="gtk2"/>.
-      </para>
-
-      <bridgehead renderas="sect5">Required (gtk.glade module)</bridgehead>
-      <para role="required">
-        <xref linkend="py2cairo"/> and
-        <xref linkend="libglade"/>.
-      </para>
-
-      <bridgehead renderas="sect5">Optional</bridgehead>
-      <para role="optional">
-        <ulink url="http://sourceforge.net/projects/numpy/">NumPy</ulink>
-      </para>
-
-      <bridgehead renderas="sect5">Optional (to Build Documentation)</bridgehead>
-      <para role="optional">
-        <xref linkend="libxslt"/>
-      </para>
-
-      <para condition="html" role="usernotes">
-        User Notes: <ulink url="&blfs-wiki;/pygtk"/>
-      </para>
-    </sect3>
-
-    <sect3 role="installation">
-      <title>Installation of PyGTK</title>
-
-      <para>
-        Install <application>PyGTK</application> by running the following
-        commands:
-      </para>
-
-<screen><userinput>./configure --prefix=/usr &&
-make</userinput></screen>
-
-      <para>
-        The tests must be run from an active X display. If this is so, issue:
-        <command>make check</command>.
-      </para>
-
-      <para>
-        Now, as the <systemitem class="username">root</systemitem> user:
-      </para>
-
-<screen role="root"><userinput>make install</userinput></screen>
-    </sect3>
-
-    <sect3 role="commands">
-      <title>Command Explanations</title>
-
-      <para>
-        <parameter>--enable-docs</parameter>: This option enables rebuilding the
-        html documentation if <xref linkend="libxslt"/> is installed.
-      </para>
-    </sect3>
-
-    <sect3 role="content">
-      <title>Contents</title>
-
-      <segmentedlist>
-        <segtitle>Installed Programs</segtitle>
-        <segtitle>Installed Libraries</segtitle>
-        <segtitle>Installed Directories</segtitle>
-
-        <seglistitem>
-          <seg>pygtk-codegen-2.0 and pygtk-demo.</seg>
-          <seg>
-            atk.so,
-            _gtk.so,
-            glade.so,
-            gtkunixprint.so,
-            pango.so and
-            pangocairo.so.
-          </seg>
-          <seg>
-            /usr/include/pygtk-2.0,
-            /usr/lib/pygtk,
-            /usr/lib/python&python2-majorver;/site-packages/gtk-2.0,
-            /usr/share/gtk-doc/html/pygtk and
-            /usr/share/pygtk.
-          </seg>
-        </seglistitem>
-      </segmentedlist>
-
-      <variablelist>
-        <bridgehead renderas="sect4">Short Descriptions</bridgehead>
-        <?dbfo list-presentation="list"?>
-        <?dbhtml list-presentation="table"?>
-
-        <varlistentry id="pygtk-codegen-2.0">
-          <term><command>pygtk-codegen-2.0</command></term>
-          <listitem>
-            <para>
-              is a wrapper script to run the <application>PyGTK</application>
-              codegen module.
-            </para>
-            <indexterm zone="pygtk pygtk-codegen-2.0">
-              <primary sortas="b-pygtk-codegen-2.0">pygtk-codegen-2.0</primary>
-            </indexterm>
-          </listitem>
-        </varlistentry>
-
-        <varlistentry id="pygtk-demo">
-          <term><command>pygtk-demo</command></term>
-          <listitem>
-            <para>
-              is a Python wrapper to run the <application>PyGTK</application>
-              demo program.
-            </para>
-            <indexterm zone="pygtk pygtk-demo">
-              <primary sortas="b-pygtk-demo">pygtk-demo</primary>
-            </indexterm>
-          </listitem>
-        </varlistentry>
-      </variablelist>
-    </sect3>
-  </sect2>
-  <!-- End PyGTK -->
-
-  <!-- Begin PyAtSpi2 -->
-  <sect2 id="pyatspi2" xreflabel="PyAtSpi2-&pyatspi2-version;">
-
-    <title>PyAtSpi2-&pyatspi2-version;</title>
-
-    <indexterm zone="pyatspi2">
-      <primary sortas="a-PyAtSpi2">PyAtSpi2</primary>
-    </indexterm>
-
-    <sect3 role="package">
-      <title>Introduction to PyAtSpi2</title>
-
-      <para>
-        The <application>PyAtSpi2</application> package contains
-        <application>Python</application> bindings for the core
-        components of the <application>GNOME</application>
-        Accessibility.
-      </para>
-
-      &lfs73_checked;
-
-      <bridgehead renderas="sect4">Package Information</bridgehead>
-      <itemizedlist spacing="compact">
-        <listitem>
-          <para>
-            Download (HTTP): <ulink url="&pyatspi2-download-http;"/>
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Download (FTP): <ulink url="&pyatspi2-download-ftp;"/>
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Download MD5 sum: &pyatspi2-md5sum;
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Download size: &pyatspi2-size;
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Estimated disk space required: &pyatspi2-buildsize;
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Estimated build time: &pyatspi2-time;
-          </para>
-        </listitem>
-      </itemizedlist>
-
-      <bridgehead renderas="sect4">PyAtSpi2 Dependencies</bridgehead>
-
-      <bridgehead renderas="sect5">Required</bridgehead>
-      <para role="required">
-        <xref linkend="pygobject3"/>
-      </para>
-
-      <bridgehead renderas="sect5">Recommended</bridgehead>
-      <para role="recommended">
-        <xref linkend="at-spi2-core"/>
-      </para>
-
-      <para condition="html" role="usernotes">
-        User Notes: <ulink url="&blfs-wiki;/pyatspi2"/>
-      </para>
-
-    </sect3>
-
-    <sect3 role="installation">
-      <title>Installation of PyAtSpi2</title>
-
-      <note>
-        <para>
-          Both <application>Python 2</application> and
-          <application>Python 3</application> modules can
-          be built and installed without any conflicts.
-        </para>
-      </note>
-
-      <para>
-        To build <application>PyAtSpi2</application> as the
-        <application>Python 2</application> module, run the
-        following commands:
-      </para>
-
-<screen><userinput>mkdir python2 &&
-pushd python2 &&
-../configure --prefix=/usr --with-python=/usr/bin/python &&
-make &&
-popd</userinput></screen>
-
-      <para>
-        To build <application>PyAtSpi2</application> as the
-        <application>Python 3</application> module, run the
-        following commands:
-      </para>
-
-<screen><userinput>mkdir python3 &&
-pushd python3 &&
-../configure --prefix=/usr --with-python=/usr/bin/python3 &&
-make &&
-popd</userinput></screen>
-
-      <para>
-        This package does not come with a testsuite.
-      </para>
-
-      <para>
-        To install the <application>Python 2</application> module,
-        run the following command as the
-        <systemitem class="username">root</systemitem> user:
-      </para>
-
-<screen role="root"><userinput>make -C python2 install</userinput></screen>
-
-      <para>
-        To install the <application>Python 3</application> module,
-        run the following command as the
-        <systemitem class="username">root</systemitem> user:
-      </para>
-
-<screen role="root"><userinput>make -C python3 install</userinput></screen>
-
-    </sect3>
-
-    <sect3 role="content">
-      <title>Contents</title>
-
-      <segmentedlist>
-        <segtitle>Installed Programs</segtitle>
-        <segtitle>Installed Libraries</segtitle>
-        <segtitle>Installed Directory</segtitle>
-
-        <seglistitem>
-          <seg>
-            None
-          </seg>
-          <seg>
-            None
-          </seg>
-          <seg>
-            /usr/lib/python&python2-majorver;/site-packages/pyatspi and/or
-            /usr/lib/python&python3-majorver;/site-packages/pyatspi
-          </seg>
-        </seglistitem>
-      </segmentedlist>
-
-    </sect3>
-
-  </sect2>
-  <!-- End PyAtSpi2 -->
-
-  <!-- Begin Pyrex -->
-  <sect2 id="pyrex" xreflabel="Pyrex-&pyrex-version;">
-
-    <title>Pyrex-&pyrex-version;</title>
-
-    <indexterm zone="pyrex">
-      <primary sortas="a-Pyrex">Pyrex</primary>
-    </indexterm>
-
-    <sect3 role="package">
-      <title>Introduction to Pyrex Module</title>
-
-      <para>
-        <application>Pyrex</application> is language used for writing
-        <application>Python</application> extension modules.
-      </para>
-
-      &lfs73_checked;
-
-      <bridgehead renderas="sect4">Package Information</bridgehead>
-      <itemizedlist spacing="compact">
-        <listitem>
-          <para>
-          Download (HTTP): <ulink url="&pyrex-download-http;"/>
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Download (FTP): <ulink url="&pyrex-download-ftp;"/>
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Download MD5 sum: &pyrex-md5sum;
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Download size: &pyrex-size;
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Estimated disk space required: &pyrex-buildsize;
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Estimated build time: &pyrex-time;
-          </para>
-        </listitem>
-      </itemizedlist>
-
-      <bridgehead renderas="sect4">Pyrex Dependencies</bridgehead>
-
-      <bridgehead renderas="sect5">Required</bridgehead>
-      <para role="required">
-        <xref linkend="python2"/>
-      </para>
-
-      <para condition="html" role="usernotes">
-        User Notes: <ulink url="&blfs-wiki;/pyrex"/>
-      </para>
-    </sect3>
-
-    <sect3 role="installation">
-      <title>Installation of Pyrex</title>
-
-      <para>
-        Install <application>pyrex</application> by running the following
-        commands as the <systemitem class="username">root</systemitem> user:
-      </para>
-
-<screen role="root"><userinput>python setup.py install</userinput></screen>
-
-    </sect3>
-
-    <sect3 role="content">
-      <title>Contents</title>
-
-      <segmentedlist>
-        <segtitle>Installed Program</segtitle>
-        <segtitle>Installed Libraries</segtitle>
-        <segtitle>Installed Directory</segtitle>
-
-        <seglistitem>
-          <seg>
-            pyrexc
-          </seg>
-          <seg>
-            None
-          </seg>
-          <seg>
-            /usr/lib/python&python2-majorver;/site-packages/Pyrex
-          </seg>
-        </seglistitem>
-      </segmentedlist>
-
-    </sect3>
-
-  </sect2>
-  <!-- End Pyrex -->
-
-  <!-- Begin PyXDG -->
-  <sect2 id="pyxdg" xreflabel="PyXDG-&pyxdg-version;">
-
-    <title>PyXDG-&pyxdg-version;</title>
-
-    <indexterm zone="pyxdg">
-      <primary sortas="a-PyXDG">PyXDG</primary>
-    </indexterm>
-
-    <sect3 role="package">
-      <title>Introduction to PyXDG Module</title>
-
-      <para>
-        <application>PyXDG</application> is a <application>Python</application>
-        library to access freedesktop.org standards.
-      </para>
-
-      &lfs73_checked;
-
-      <bridgehead renderas="sect4">Package Information</bridgehead>
-      <itemizedlist spacing="compact">
-        <listitem>
-          <para>
-            Download (HTTP): <ulink url="&pyxdg-download-http;"/>
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Download (FTP): <ulink url="&pyxdg-download-ftp;"/>
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Download MD5 sum: &pyxdg-md5sum;
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Download size: &pyxdg-size;
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Estimated disk space required: &pyxdg-buildsize;
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Estimated build time: &pyxdg-time;
-          </para>
-        </listitem>
-      </itemizedlist>
-
-      <bridgehead renderas="sect4">PyXDG Dependencies</bridgehead>
-
-      <bridgehead renderas="sect5">Required</bridgehead>
-      <para role="required">
-        <xref linkend="python2"/> and/or
-        <xref linkend="python3"/>
-      </para>
-
-      <para condition="html" role="usernotes">
-        User Notes: <ulink url="&blfs-wiki;/pyxdg"/>
-      </para>
-    </sect3>
-
-    <sect3 role="installation">
-      <title>Installation of PyXDG</title>
-
-      <note>
-        <para>
-          Both <application>Python 2</application> and
-          <application>Python 3</application> modules can
-          be built and installed without any conflicts.
-        </para>
-      </note>
-
-      <para>
-        To install the <application>Python 2</application> module,
-        run the following command as the
-        <systemitem class="username">root</systemitem> user:
-      </para>
-
-<screen role="root"><userinput>python setup.py install --optimize=1</userinput></screen>
-
-      <para>
-        To install the <application>Python 3</application> module,
-        run the following command as the
-        <systemitem class="username">root</systemitem> user:
-      </para>
-
-<screen role="root"><userinput>python3 setup.py install --optimize=1</userinput></screen>
-
-    </sect3>
-
-    <sect3 role="content">
-      <title>Contents</title>
-
-      <segmentedlist>
-        <segtitle>Installed Directory</segtitle>
-
-        <seglistitem>
-          <seg>
-            /usr/lib/python&python2-majorver;/site-packages/xdg and/or
-            /usr/lib/python&python3-majorver;/site-packages/xdg
-          </seg>
-        </seglistitem>
-      </segmentedlist>
-
-    </sect3>
-
-  </sect2>
-  <!--End PyXDG -->
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="pyxdg.xml"/>
 
 </sect1>

Added: trunk/BOOK/general/prog/pyxdg.xml
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ trunk/BOOK/general/prog/pyxdg.xml	Thu Aug  8 15:57:44 2013	(r11599)
@@ -0,0 +1,128 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY pyxdg-download-http
+           "http://people.freedesktop.org/~takluyver/pyxdg-&pyxdg-version;.tar.gz">
+  <!ENTITY pyxdg-download-ftp  " ">
+  <!ENTITY pyxdg-md5sum        "bedcdb3a0ed85986d40044c87f23477c">
+  <!ENTITY pyxdg-size          "48 KB">
+  <!ENTITY pyxdg-buildsize     "800 KB">
+  <!ENTITY pyxdg-time          "less than 0.1 SBU">
+]>
+
+  <!-- Begin PyXDG -->
+  <sect2 id="pyxdg" xreflabel="PyXDG-&pyxdg-version;">
+
+    <title>PyXDG-&pyxdg-version;</title>
+
+    <indexterm zone="pyxdg">
+      <primary sortas="a-PyXDG">PyXDG</primary>
+    </indexterm>
+
+    <sect3 role="package">
+      <title>Introduction to PyXDG Module</title>
+
+      <para>
+        <application>PyXDG</application> is a <application>Python</application>
+        library to access freedesktop.org standards.
+      </para>
+
+      &lfs73_checked;
+
+      <bridgehead renderas="sect4">Package Information</bridgehead>
+      <itemizedlist spacing="compact">
+        <listitem>
+          <para>
+            Download (HTTP): <ulink url="&pyxdg-download-http;"/>
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Download (FTP): <ulink url="&pyxdg-download-ftp;"/>
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Download MD5 sum: &pyxdg-md5sum;
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Download size: &pyxdg-size;
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Estimated disk space required: &pyxdg-buildsize;
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Estimated build time: &pyxdg-time;
+          </para>
+        </listitem>
+      </itemizedlist>
+
+      <bridgehead renderas="sect4">PyXDG Dependencies</bridgehead>
+
+      <bridgehead renderas="sect5">Required</bridgehead>
+      <para role="required">
+        <xref linkend="python2"/> and/or
+        <xref linkend="python3"/>
+      </para>
+
+      <para condition="html" role="usernotes">
+        User Notes: <ulink url="&blfs-wiki;/pyxdg"/>
+      </para>
+    </sect3>
+
+    <sect3 role="installation">
+      <title>Installation of PyXDG</title>
+
+      <note>
+        <para>
+          Both <application>Python 2</application> and
+          <application>Python 3</application> modules can
+          be built and installed without any conflicts.
+        </para>
+      </note>
+
+      <para>
+        To install the <application>Python 2</application> module,
+        run the following command as the
+        <systemitem class="username">root</systemitem> user:
+      </para>
+
+<screen role="root"><userinput>python setup.py install --optimize=1</userinput></screen>
+
+      <para>
+        To install the <application>Python 3</application> module,
+        run the following command as the
+        <systemitem class="username">root</systemitem> user:
+      </para>
+
+<screen role="root"><userinput>python3 setup.py install --optimize=1</userinput></screen>
+
+    </sect3>
+
+    <sect3 role="content">
+      <title>Contents</title>
+
+      <segmentedlist>
+        <segtitle>Installed Directory</segtitle>
+
+        <seglistitem>
+          <seg>
+            /usr/lib/python&python2-majorver;/site-packages/xdg and/or
+            /usr/lib/python&python3-majorver;/site-packages/xdg
+          </seg>
+        </seglistitem>
+      </segmentedlist>
+
+    </sect3>
+
+  </sect2>
+  <!--End PyXDG -->
\ No newline at end of file



More information about the blfs-book mailing list